%define anolis_release 9
Name:           perl-ColorThemeBase-Static
Version:        0.008
Release:        %{anolis_release}%{?dist}
Summary:        Base class for color theme modules with static list of items
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/ColorThemeBase-Static/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/ColorThemeBase-Static-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Color::RGB::Util) >= 0.600
BuildRequires:  perl(parent)
# Tests
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Color::RGB::Util) >= 0.600

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Color::RGB::Util\\)\\s*$

%description
This is base class for color theme modules with static list of items (from
object's colors key).
This class is now alias for ColorThemeBase::Static::FromStructColors. You
can use that class directly.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n ColorThemeBase-Static-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Wed Feb 8 2023 Funda Wang <fundawang@yeah.net> - 0.008-9
- Import package for anolis 23
